{config, ...}: let
  inherit (config) conf;
in {
  imports = [
    ./apps
    ./containers
    ./email
    ./fedi
    ./firewall
    ./fonts
    ./games
    ./git
    ./home
    ./layout
    ./matrix
    ./me
    ./networking
    ./nginx
    ./niri
    ./nix
    ./secureboot
    ./ssh
    ./utils
    ./vikunja
    ./vm
    ./website
    ./yubikey
  ];

  documentation.nixos.enable = false;

  time.timeZone = "Europe/Amsterdam";
  i18n = {
    defaultLocale = "en_US.UTF-8";
  };

  users.users.${conf.username} = {
    isNormalUser = true;
    description = conf.username;
    extraGroups = ["wheel"];
  };

  system.stateVersion = conf.stateVersion;
}
